Bug 152606 - Crash if I open the specified pptx file
Summary: Crash if I open the specified pptx file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.1 all versions
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.6.0 target:7.5.0.0.beta2 tar...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2022-12-20 03:25 UTC by pet-pet
Modified: 2023-01-24 10:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["oox::drawingml::Transform2DContext::Transform2DContext(oox::core::ContextHandler2Helper const &,oox::AttributeList const &,oox::drawingml::Shape &,bool)"]
Regression By:


Attachments
sample file related to bugid=152606 (1.20 MB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2022-12-20 09:26 UTC, pet-pet
Details
gdb bt (23.40 KB, text/plain)
2022-12-20 11:05 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pet-pet 2022-12-20 03:25:39 UTC
Description:
I can't open the specified file with Libreoffice(Windows 11, WSL,Mac OS(Apple M1)).And I got a crash report under the Mac OS(Apple M1) platform.

Steps to Reproduce:
I'm trying to convert the specified pptx file to pdf with soffice.
1. Try to convert the file with soffice in Windows Subsystem of Linux, but the process of soffice can't be finished(CPU 90%+).
2. Try to use Libreoffice with Windows 11 to open the file, but it seems to be stuck while loading the file.(CPU 90%+)
3. While I tried to use Libreoffice (Apple M1) to open the file, It crashed. And I got the report as below.

Actual Results:
-------------------------------------
Translated Report (Full Report Below)
-------------------------------------

Process:               soffice [3893]
Path:                  /Applications/LibreOffice.app/Contents/MacOS/soffice
Identifier:            org.libreoffice.script
Version:               7.3.7.2 (7.3.7.2)
Code Type:             ARM-64 (Native)
Parent Process:        launchd [1]
User ID:               501

Date/Time:             2022-12-20 10:55:03.7630 +0800
OS Version:            macOS 12.1 (21C52)
Report Version:        12
Anonymous UUID:        D647E694-B4C9-C918-9226-1B985616FBA5


Time Awake Since Boot: 6100 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000000000038
Exception Codes:       0x0000000000000001, 0x0000000000000038
Exception Note:        EXC_CORPSE_NOTIFY

VM Region Info: 0x38 is not in any region.  Bytes before following region: 4370628552
      REGION TYPE                    START - END         [ VSIZE] PRT/MAX SHRMOD  REGION DETAIL
      UNUSED SPACE AT START
--->  
      __TEXT                      104828000-10482c000    [   16K] r-x/r-x SM=COW  ...MacOS/soffice

Application Specific Information:
abort() called
terminating with uncaught exception of type com::sun::star::uno::RuntimeException


Kernel Triage:
VM - pmap_enter failed with resource shortage
VM - pmap_enter failed with resource shortage
VM - pmap_enter failed with resource shortage
VM - pmap_enter failed with resource shortage
VM - pmap_enter failed with resource shortage


Thread 0 Crashed::  Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	       0x1998b59b8 __pthread_kill + 8
1   libsystem_pthread.dylib       	       0x1998e8eb0 pthread_kill + 288
2   libsystem_c.dylib             	       0x199826314 abort + 164
3   libuno_sal.dylib.3            	       0x104b13300 (anonymous namespace)::signalHandlerFunction(int, __siginfo*, void*) (.cold.1) + 32
4   libuno_sal.dylib.3            	       0x104b06e80 (anonymous namespace)::signalHandlerFunction(int, __siginfo*, void*) + 1060
5   libsystem_platform.dylib      	       0x1999004e4 _sigtramp + 56
6   libsystem_pthread.dylib       	       0x1998e8eb0 pthread_kill + 288
7   libsystem_c.dylib             	       0x199826314 abort + 164
8   libc++abi.dylib               	       0x1998a5b50 abort_message + 132
9   libc++abi.dylib               	       0x199896f64 demangling_terminate_handler() + 332
10  libobjc.A.dylib               	       0x19978e150 _objc_terminate() + 160
11  libc++abi.dylib               	       0x1998a4ee4 std::__terminate(void (*)()) + 20
12  libc++abi.dylib               	       0x1998a4e80 std::terminate() + 64
13  libooxlo.dylib                	       0x2e1f6f918 oox::ppt::PPTShapeContext::onCreateContext(int, oox::AttributeList const&) + 248
14  libooxlo.dylib                	       0x2e1db1d64 oox::core::ContextHandler2Helper::implCreateChildContext(int, com::sun::star::uno::Reference<com::sun::star::xml::sax::XFastAttributeList> const&) + 96
15  libexpwraplo.dylib            	       0x2da92d77c (anonymous namespace)::Entity::startElement((anonymous namespace)::Event const*) + 624
16  libexpwraplo.dylib            	       0x2da92c508 sax_fastparser::FastSaxParserImpl::callbackStartElement(unsigned char const*, unsigned char const*, unsigned char const*, int, unsigned char const**, int, unsigned char const**) + 2776
17  libxml2.2.dylib               	       0x1a0e3f428 xmlParseStartTag2 + 4108
18  libxml2.2.dylib               	       0x1a0e3b0a4 xmlParseTryOrFinish + 3100
19  libxml2.2.dylib               	       0x1a0e39bf8 xmlParseChunk + 676
20  libexpwraplo.dylib            	       0x2da92a960 sax_fastparser::FastSaxParserImpl::parse() + 412
21  libexpwraplo.dylib            	       0x2da92934c sax_fastparser::FastSaxParserImpl::parseStream(com::sun::star::xml::sax::InputSource const&) + 4328
22  libooxlo.dylib                	       0x2e1db4968 oox::core::FastParser::parseStream(com::sun::star::xml::sax::InputSource const&, bool) + 92
23  libooxlo.dylib                	       0x2e1db4b90 oox::core::FastParser::parseStream(com::sun::star::uno::Reference<com::sun::star::io::XInputStream> const&, rtl::OUString const&) + 168
24  libooxlo.dylib                	       0x2e1dc8660 oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&, oox::core::FastParser&) + 592
25  libooxlo.dylib                	       0x2e1dc83c0 oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&) + 72
26  libooxlo.dylib                	       0x2e1f75ba4 oox::ppt::PPTShapeGroupContext::importExtDrawings() + 220
27  libooxlo.dylib                	       0x2e1db2e00 non-virtual thunk to oox::core::ContextHandler2::endFastElement(int) + 60
28  libexpwraplo.dylib            	       0x2da92db7c (anonymous namespace)::Entity::endElement() + 80
29  libexpwraplo.dylib            	       0x2da929134 sax_fastparser::FastSaxParserImpl::parseStream(com::sun::star::xml::sax::InputSource const&) + 3792
30  libooxlo.dylib                	       0x2e1db4968 oox::core::FastParser::parseStream(com::sun::star::xml::sax::InputSource const&, bool) + 92
31  libooxlo.dylib                	       0x2e1db4b90 oox::core::FastParser::parseStream(com::sun::star::uno::Reference<com::sun::star::io::XInputStream> const&, rtl::OUString const&) + 168
32  libooxlo.dylib                	       0x2e1dc8660 oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&, oox::core::FastParser&) + 592
33  libooxlo.dylib                	       0x2e1dc83c0 oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&) + 72
34  libooxlo.dylib                	       0x2e1f7b0ec oox::ppt::PresentationFragmentHandler::importSlide(rtl::Reference<oox::core::FragmentHandler> const&, std::__1::shared_ptr<oox::ppt::SlidePersist> const&) + 1692
35  libooxlo.dylib                	       0x2e1f79398 oox::ppt::PresentationFragmentHandler::importSlide(unsigned int, bool, bool) + 3432
36  libooxlo.dylib                	       0x2e1f7b614 oox::ppt::PresentationFragmentHandler::finalizeImport() + 732
37  libexpwraplo.dylib            	       0x2da929360 sax_fastparser::FastSaxParserImpl::parseStream(com::sun::star::xml::sax::InputSource const&) + 4348
38  libooxlo.dylib                	       0x2e1db4968 oox::core::FastParser::parseStream(com::sun::star::xml::sax::InputSource const&, bool) + 92
39  libooxlo.dylib                	       0x2e1db4b90 oox::core::FastParser::parseStream(com::sun::star::uno::Reference<com::sun::star::io::XInputStream> const&, rtl::OUString const&) + 168
40  libooxlo.dylib                	       0x2e1dc8660 oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&, oox::core::FastParser&) + 592
41  libooxlo.dylib                	       0x2e1dc83c0 oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&) + 72
42  libooxlo.dylib                	       0x2e1f6da0c oox::ppt::PowerPointImport::importDocument() + 440
43  libooxlo.dylib                	       0x2e1db714c oox::core::FilterBase::filter(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 792
44  libooxlo.dylib                	       0x2e1f6e1b0 oox::ppt::PowerPointImport::filter(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 56
45  libsfxlo.dylib                	       0x1064f51bc SfxObjectShell::ImportFrom(SfxMedium&, com::sun::star::uno::Reference<com::sun::star::text::XTextRange> const&) + 2676
46  libsdlo.dylib                 	       0x3077ad010 sd::DrawDocShell::ImportFrom(SfxMedium&, com::sun::star::uno::Reference<com::sun::star::text::XTextRange> const&) + 412
47  libsfxlo.dylib                	       0x1064ec0f0 SfxObjectShell::DoLoad(SfxMedium*) + 4308
48  libsfxlo.dylib                	       0x1065187f0 SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 708
49  libsfxlo.dylib                	       0x10659a06c (anonymous namespace)::SfxFrameLoader_Impl::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XFrame> const&) + 7200
50  libfwklo.dylib                	       0x105a46600 framework::LoadEnv::impl_loadContent() + 3056
51  libfwklo.dylib                	       0x105a4322c framework::LoadEnv::start() + 132
52  libfwklo.dylib                	       0x105a41874 framework::LoadEnv::startLoading(rtl::OUString const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XFrame> const&, rtl::OUString const&, int, LoadEnvFeatures) + 1328
53  libfwklo.dylib                	       0x105990f1c framework::LoadDispatcher::impl_dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener> const&) + 736
54  libfwklo.dylib                	       0x105991524 non-virtual thunk to framework::LoadDispatcher::dispatchWithReturnValue(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 44
55  libcomphelper.dylib           	       0x104f8d7a4 comphelper::SynchronousDispatch::dispatch(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> const&, rtl::OUString const&, rtl::OUString const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 536
56  libsfxlo.dylib                	       0x1062f3ef4 SfxApplication::OpenDocExec_Impl(SfxRequest&) + 7268
57  libsfxlo.dylib                	       0x10636f4c8 SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, bool) + 572
58  libsfxlo.dylib                	       0x106371548 SfxDispatcher::Execute(unsigned short, SfxCallMode, SfxItemSet const&) + 372
59  libsfxlo.dylib                	       0x1062f2b7c SfxApplication::OpenDocExec_Impl(SfxRequest&) + 2284
60  libsfxlo.dylib                	       0x10636f4c8 SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, bool) + 572
61  libsfxlo.dylib                	       0x10636fa34 SfxDispatcher::PostMsgHandler(std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >) + 492
62  libsfxlo.dylib                	       0x1063779b8 void std::__1::__invoke_void_return_wrapper<void, true>::__call<std::__1::__bind<void (SfxDispatcher::*)(std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >), SfxDispatcher*, std::__1::placeholders::__ph<1> const&>&, std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> > >(std::__1::__bind<void (SfxDispatcher::*)(std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >), SfxDispatcher*, std::__1::placeholders::__ph<1> const&>&, std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >&&) + 76
63  libsfxlo.dylib                	       0x1065514ac SfxHintPoster::DoEvent_Impl(void*) + 68
64  libvcllo.dylib                	       0x10897fe98 ImplWindowFrameProc(vcl::Window*, SalEvent, void const*) + 952
65  libvclplug_osxlo.dylib        	       0x109afb71c non-virtual thunk to AquaSalInstance::ProcessEvent(SalUserEventList::SalUserEvent) + 44
66  libvcllo.dylib                	       0x108c03c98 SalUserEventList::DispatchUserEvents(bool) + 584
67  libvclplug_osxlo.dylib        	       0x109afbbfc AquaSalInstance::DoYield(bool, bool) + 80
68  libvcllo.dylib                	       0x108c48bc0 Application::Execute() + 320
69  libsofficeapp.dylib           	       0x104c5cbfc desktop::Desktop::Main() + 3864
70  libvcllo.dylib                	       0x108c4f7c8 ImplSVMain() + 152
71  libvclplug_osxlo.dylib        	       0x109afb7bc AquaSalInstance::handleAppDefinedEvent(NSEvent*) + 96
72  libvclplug_osxlo.dylib        	       0x109b2b048 -[VCL_NSApplication sendEvent:] + 88
73  AppKit                        	       0x19c93059c -[NSApplication _handleEvent:] + 76
74  AppKit                        	       0x19c4f95cc -[NSApplication run] + 636
75  AppKit                        	       0x19c4cac78 NSApplicationMain + 1064
76  libvclplug_osxlo.dylib        	       0x109afd494 AquaSalInstance::SVMainHook(int*) + 152
77  libvcllo.dylib                	       0x108c4f7a4 ImplSVMain() + 116
78  libsofficeapp.dylib           	       0x104c85f80 soffice_main + 216
79  soffice                       	       0x10482bf40 main + 20
80  dyld                          	       0x1048b10f4 start + 520

Thread 1:: PipeIPC
0   libsystem_kernel.dylib        	       0x1998b5aa4 __accept + 8
1   libuno_sal.dylib.3            	       0x104b02f3c osl_acceptPipe + 40
2   libsofficeapp.dylib           	       0x104c82e70 desktop::PipeIpcThread::execute() + 128
3   libuno_salhelpergcc3.dylib.3  	       0x10486694c salhelper::Thread::run() + 40
4   libuno_salhelpergcc3.dylib.3  	       0x104866a5c threadFunc + 28
5   libuno_sal.dylib.3            	       0x104b09f88 osl_thread_start_Impl(void*) + 128
6   libsystem_pthread.dylib       	       0x1998e9240 _pthread_start + 148
7   libsystem_pthread.dylib       	       0x1998e4024 thread_start + 8

Thread 2:: com.apple.NSEventThread
0   libsystem_kernel.dylib        	       0x1998ad954 mach_msg_trap + 8
1   libsystem_kernel.dylib        	       0x1998add00 mach_msg + 76
2   CoreFoundation                	       0x1999b4ed8 __CFRunLoopServiceMachPort + 372
3   CoreFoundation                	       0x1999b3390 __CFRunLoopRun + 1212
4   CoreFoundation                	       0x1999b2734 CFRunLoopRunSpecific + 600
5   AppKit                        	       0x19c675c90 _NSEventThread + 196
6   libsystem_pthread.dylib       	       0x1998e9240 _pthread_start + 148
7   libsystem_pthread.dylib       	       0x1998e4024 thread_start + 8

Thread 3:: UpdateCheckThread
0   libsystem_kernel.dylib        	       0x1998b10c0 __psynch_cvwait + 8
1   libsystem_pthread.dylib       	       0x1998e9808 _pthread_cond_wait + 1228
2   libuno_sal.dylib.3            	       0x104afb554 osl_waitCondition + 228
3   libupdchklo.dylib             	       0x116001ce8 (anonymous namespace)::UpdateCheckThread::run() + 588
4   libupdchklo.dylib             	       0x116000094 threadFunc + 28
5   libuno_sal.dylib.3            	       0x104b09f88 osl_thread_start_Impl(void*) + 128
6   libsystem_pthread.dylib       	       0x1998e9240 _pthread_start + 148
7   libsystem_pthread.dylib       	       0x1998e4024 thread_start + 8

Thread 4:
0   libsystem_pthread.dylib       	       0x1998e4010 start_wqthread + 0

Thread 5:
0   libsystem_pthread.dylib       	       0x1998e4010 start_wqthread + 0

Thread 6:
0   libsystem_pthread.dylib       	       0x1998e4010 start_wqthread + 0

Thread 7:: GrammarCheckingIterator
0   libsystem_kernel.dylib        	       0x1998b10c0 __psynch_cvwait + 8
1   libsystem_pthread.dylib       	       0x1998e9808 _pthread_cond_wait + 1228
2   libuno_sal.dylib.3            	       0x104afb51c osl_waitCondition + 172
3   liblnglo.dylib                	       0x1084d4f14 GrammarCheckingIterator::DequeueAndCheck() + 788
4   libuno_sal.dylib.3            	       0x104b09f88 osl_thread_start_Impl(void*) + 128
5   libsystem_pthread.dylib       	       0x1998e9240 _pthread_start + 148
6   libsystem_pthread.dylib       	       0x1998e4024 thread_start + 8

Thread 8:
0   libsystem_pthread.dylib       	       0x1998e4010 start_wqthread + 0

Thread 9:
0   libsystem_pthread.dylib       	       0x1998e4010 start_wqthread + 0

Thread 10:
0   libsystem_pthread.dylib       	       0x1998e4010 start_wqthread + 0

Thread 11:: configmgrWriter
0   libsystem_kernel.dylib        	       0x1998b10c0 __psynch_cvwait + 8
1   libsystem_pthread.dylib       	       0x1998e9808 _pthread_cond_wait + 1228
2   libuno_sal.dylib.3            	       0x104afb554 osl_waitCondition + 228
3   libconfigmgrlo.dylib          	       0x109ee41f8 configmgr::Components::WriteThread::execute() + 60
4   libuno_salhelpergcc3.dylib.3  	       0x10486694c salhelper::Thread::run() + 40
5   libuno_salhelpergcc3.dylib.3  	       0x104866a5c threadFunc + 28
6   libuno_sal.dylib.3            	       0x104b09f88 osl_thread_start_Impl(void*) + 128
7   libsystem_pthread.dylib       	       0x1998e9240 _pthread_start + 148
8   libsystem_pthread.dylib       	       0x1998e4024 thread_start + 8

Thread 12:: WakeUpThread
0   libsystem_kernel.dylib        	       0x1998b10c0 __psynch_cvwait + 8
1   libsystem_pthread.dylib       	       0x1998e9808 _pthread_cond_wait + 1228
2   libuno_sal.dylib.3            	       0x104afb554 osl_waitCondition + 228
3   libfwklo.dylib                	       0x1059b0fe4 framework::WakeUpThread::execute() + 68
4   libuno_salhelpergcc3.dylib.3  	       0x10486694c salhelper::Thread::run() + 40
5   libuno_salhelpergcc3.dylib.3  	       0x104866a5c threadFunc + 28
6   libuno_sal.dylib.3            	       0x104b09f88 osl_thread_start_Impl(void*) + 128
7   libsystem_pthread.dylib       	       0x1998e9240 _pthread_start + 148
8   libsystem_pthread.dylib       	       0x1998e4024 thread_start + 8


Thread 0 crashed with ARM Thread State (64-bit):
    x0: 0x0000000000000000   x1: 0x0000000000000000   x2: 0x0000000000000000   x3: 0x0000000000000000
    x4: 0x0000000199828ccf   x5: 0x000000016b5d3200   x6: 0x0000000000000030   x7: 0x0000000000000000
    x8: 0xba24e0bac69aed38   x9: 0xba24e0bbc208a8b8  x10: 0x0000000000000002  x11: 0x0000000000000003
   x12: 0x0000000199828cff  x13: 0x0000000000000001  x14: 0x0000000000000010  x15: 0x0000000000000002
   x16: 0x0000000000000148  x17: 0x00000001f40c7530  x18: 0x0000000146793940  x19: 0x0000000000000006
   x20: 0x0000000104924580  x21: 0x0000000000000103  x22: 0x0000000000000001  x23: 0x00000000001f155a
   x24: 0x00000003058131c0  x25: 0x000000016b5d4fb8  x26: 0x000000016b5d4fc0  x27: 0x000000000010155a
   x28: 0x0000000000000000   fp: 0x000000016b5d3f60   lr: 0x00000001998e8eb0
    sp: 0x000000016b5d3f40   pc: 0x00000001998b59b8 cpsr: 0x40001000
   far: 0x0000000104934000  esr: 0x56000080  Address size fault

Binary Images:
       0x1998ac000 -        0x1998e1fff libsystem_kernel.dylib (*) <c8b3081a-5081-3a99-bbe3-01413de444c6> /usr/lib/system/libsystem_kernel.dylib
       0x1998e2000 -        0x1998eefff libsystem_pthread.dylib (*) <ed328b18-eeef-3b15-8858-798b19b0c2cd> /usr/lib/system/libsystem_pthread.dylib
       0x1997ad000 -        0x19982dfff libsystem_c.dylib (*) <00fc01c7-36bc-3193-86a3-5c03046b45fb> /usr/lib/system/libsystem_c.dylib
       0x104ad4000 -        0x104b1ffff libuno_sal.dylib.3 (*) <2dffec82-0757-3e68-a718-4a6b3b7ca69d> /Applications/LibreOffice.app/Contents/Frameworks/libuno_sal.dylib.3
       0x1998fc000 -        0x199903fff libsystem_platform.dylib (*) <ef6555f4-7a8e-3e51-9b40-5381482dee4d> /usr/lib/system/libsystem_platform.dylib
       0x199892000 -        0x1998abfff libc++abi.dylib (*) <540088b6-cc81-381f-901c-5632f4a73c45> /usr/lib/libc++abi.dylib
       0x19976e000 -        0x1997a9fff libobjc.A.dylib (*) <8a930227-747e-381f-bb29-2dfe267a84f7> /usr/lib/libobjc.A.dylib
       0x2e1db0000 -        0x2e2053fff libooxlo.dylib (*) <72a95fc8-aea1-3b8a-a33f-c90f1050c413> /Applications/LibreOffice.app/Contents/Frameworks/libooxlo.dylib
       0x2da914000 -        0x2da957fff libexpwraplo.dylib (*) <e426584f-d221-3fd6-91ec-4f849c1f03c5> /Applications/LibreOffice.app/Contents/Frameworks/libexpwraplo.dylib
       0x1a0e34000 -        0x1a0f20fff libxml2.2.dylib (*) <070ca6d8-7423-3d4b-ba5c-636eb569940d> /usr/lib/libxml2.2.dylib
       0x1062dc000 -        0x106663fff libsfxlo.dylib (*) <a090aa86-57d6-364a-b782-cebf85860e99> /Applications/LibreOffice.app/Contents/Frameworks/libsfxlo.dylib
       0x307678000 -        0x307a57fff libsdlo.dylib (*) <921020a5-818c-3b2e-9ea4-c2da4d44bf2b> /Applications/LibreOffice.app/Contents/Frameworks/libsdlo.dylib
       0x105960000 -        0x105ba3fff libfwklo.dylib (*) <a68fd5f3-250d-31f8-9deb-cb6dfd37a89c> /Applications/LibreOffice.app/Contents/Frameworks/libfwklo.dylib
       0x104f00000 -        0x104fe3fff libcomphelper.dylib (*) <01458a1e-6452-3e1a-a585-6db64e173396> /Applications/LibreOffice.app/Contents/Frameworks/libcomphelper.dylib
       0x108890000 -        0x108fa3fff libvcllo.dylib (*) <1c432037-de9d-3a68-855f-5ec99bec21bf> /Applications/LibreOffice.app/Contents/Frameworks/libvcllo.dylib
       0x109adc000 -        0x109b47fff libvclplug_osxlo.dylib (*) <817603d2-9146-37e1-8dba-634962cfa748> /Applications/LibreOffice.app/Contents/Frameworks/libvclplug_osxlo.dylib
       0x104c54000 -        0x104cfbfff libsofficeapp.dylib (*) <0bc53ba9-84a7-3692-954c-1a738c96b969> /Applications/LibreOffice.app/Contents/Frameworks/libsofficeapp.dylib
       0x19c4c7000 -        0x19d37afff com.apple.AppKit (6.9) <a8bbc643-113d-310f-96b6-77a973bf2dba> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
       0x104828000 -        0x10482bfff org.libreoffice.script (7.3.7.2) <8f3c6d77-95bd-3339-976a-88eb740db0b6> /Applications/LibreOffice.app/Contents/MacOS/soffice
       0x1048ac000 -        0x10490bfff dyld (*) <7e92b284-4b90-3b68-b31a-3ddc4c0e8d40> /usr/lib/dyld
       0x104864000 -        0x104867fff libuno_salhelpergcc3.dylib.3 (*) <7d483ab7-aeb8-3234-8d4e-c4ea14083b3d> /Applications/LibreOffice.app/Contents/Frameworks/libuno_salhelpergcc3.dylib.3
       0x199930000 -        0x199e73fff com.apple.CoreFoundation (6.9) <f5ea9592-4ef9-3d35-b23d-5c21283acc52> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
       0x115ff4000 -        0x116027fff libupdchklo.dylib (*) <6a27f771-154f-3bad-a6bd-35c8222de227> /Applications/LibreOffice.app/Contents/Frameworks/libupdchklo.dylib
       0x1084b8000 -        0x10851bfff liblnglo.dylib (*) <e48850e1-becd-325c-bb7d-b040276281d0> /Applications/LibreOffice.app/Contents/Frameworks/liblnglo.dylib
       0x109ec4000 -        0x109f27fff libconfigmgrlo.dylib (*) <57abd4c1-4c89-3ee3-8899-1e21cfc1f2a9> /Applications/LibreOffice.app/Contents/Frameworks/libconfigmgrlo.dylib
               0x0 - 0xffffffffffffffff ??? (*) <00000000-0000-0000-0000-000000000000> ???

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=1.0G resident=0K(0%) swapped_out_or_unallocated=1.0G(100%)
Writable regions: Total=2.1G written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=2.1G(100%)

                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Accelerate framework               768K        6 
Activity Tracing                   256K        1 
CG backing stores                 2176K        4 
CG image                          75.1M       30 
CG raster data                     544K        6 
ColorSync                          544K       26 
CoreAnimation                     70.4M       33 
CoreGraphics                        32K        2 
CoreImage                           16K        1 
CoreUI image data                 3776K       25 
Foundation                          48K        2 
Image IO                           784K        7 
Kernel Alloc Once                   32K        1 
MALLOC                             1.1G      198 
MALLOC guard page                  192K       12 
MALLOC_MEDIUM (reserved)         704.0M        7         reserved VM address space (unallocated)
MALLOC_NANO (reserved)           128.0M        1         reserved VM address space (unallocated)
SQLite page cache                  128K        2 
STACK GUARD                       56.2M       13 
Stack                             16.9M       13 
VM_ALLOCATE                       4976K       44 
__AUTH                            1907K      184 
__AUTH_CONST                      11.2M      341 
__DATA                            12.9M      477 
__DATA_CONST                      19.0M      478 
__DATA_DIRTY                       882K      121 
__FONT_DATA                          4K        1 
__GLSLBUILTINS                    5176K        1 
__LINKEDIT                       628.2M      141 
__OBJC_CONST                      1788K      156 
__OBJC_RO                         82.0M        1 
__OBJC_RW                         3104K        1 
__TEXT                           380.7M      496 
__UNICODE                          588K        1 
dyld private memory               1024K        1 
mapped file                        2.5G      628 
shared memory                      896K       17 
===========                     =======  ======= 
TOTAL                              5.8G     3479 
TOTAL, minus reserved VM space     5.0G     3479 



-----------
Full Report
-----------

{"app_name":"soffice","timestamp":"2022-12-20 10:55:08.00 +0800","app_version":"7.3.7.2","slice_uuid":"8f3c6d77-95bd-3339-976a-88eb740db0b6","build_version":"7.3.7.2","platform":1,"bundleID":"org.libreoffice.script","share_with_app_devs":0,"is_first_party":0,"bug_type":"309","os_version":"macOS 12.1 (21C52)","incident_id":"61C633B1-1B8E-44BF-BE3D-F630EEA66637","name":"soffice"}
{
  "uptime" : 6100,
  "procLaunch" : "2022-12-20 10:52:04.0161 +0800",
  "procRole" : "Foreground",
  "version" : 2,
  "userID" : 501,
  "deployVersion" : 210,
  "modelCode" : "MacBookPro17,1",
  "procStartAbsTime" : 143352733528,
  "coalitionID" : 1747,
  "osVersion" : {
    "train" : "macOS 12.1",
    "build" : "21C52",
    "releaseType" : "User"
  },
  "captureTime" : "2022-12-20 10:55:03.7630 +0800",
  "incident" : "61C633B1-1B8E-44BF-BE3D-F630EEA66637",
  "bug_type" : "309",
  "pid" : 3893,
  "procExitAbsTime" : 147666278436,
  "translated" : false,
  "cpuType" : "ARM-64",
  "procName" : "soffice",
  "procPath" : "\/Applications\/LibreOffice.app\/Contents\/MacOS\/soffice",
  "bundleInfo" : {"CFBundleShortVersionString":"7.3.7.2","CFBundleVersion":"7.3.7.2","CFBundleIdentifier":"org.libreoffice.script"},
  "storeInfo" : {"deviceIdentifierForVendor":"257AA4D8-2F9A-5A3A-8751-05B06FB3BE29","thirdParty":true},
  "parentProc" : "launchd",
  "parentPid" : 1,
  "coalitionName" : "org.libreoffice.script",
  "crashReporterKey" : "D647E694-B4C9-C918-9226-1B985616FBA5",
  "sip" : "enabled",
  "vmRegionInfo" : "0x38 is not in any region.  Bytes before following region: 4370628552\n      REGION TYPE                    START - END         [ VSIZE] PRT\/MAX SHRMOD  REGION DETAIL\n      UNUSED SPACE AT START\n--->  \n      __TEXT                      104828000-10482c000    [   16K] r-x\/r-x SM=COW  ...MacOS\/soffice",
  "isCorpse" : 1,
  "exception" : {"codes":"0x0000000000000001, 0x0000000000000038","rawCodes":[1,56],"type":"EXC_BAD_ACCESS","signal":"SIGABRT","subtype":"KERN_INVALID_ADDRESS at 0x0000000000000038"},
  "ktriageinfo" : "VM - pmap_enter failed with resource shortage\nVM - pmap_enter failed with resource shortage\nVM - pmap_enter failed with resource shortage\nVM - pmap_enter failed with resource shortage\nVM - pmap_enter failed with resource shortage\n",
  "vmregioninfo" : "0x38 is not in any region.  Bytes before following region: 4370628552\n      REGION TYPE                    START - END         [ VSIZE] PRT\/MAX SHRMOD  REGION DETAIL\n      UNUSED SPACE AT START\n--->  \n      __TEXT                      104828000-10482c000    [   16K] r-x\/r-x SM=COW  ...MacOS\/soffice",
  "asi" : {"libc++abi.dylib":["terminating with uncaught exception of type com::sun::star::uno::RuntimeException"],"libsystem_c.dylib":["abort() called"]},
  "extMods" : {"caller":{"thread_create":0,"thread_set_state":0,"task_for_pid":0},"system":{"thread_create":0,"thread_set_state":0,"task_for_pid":0},"targeted":{"thread_create":0,"thread_set_state":0,"task_for_pid":0},"warnings":0},
  "faultingThread" : 0,
  "threads" : [{"triggered":true,"id":57454,"threadState":{"x":[{"value":0},{"value":0},{"value":0},{"value":0},{"value":6870437071,"symbolLocation":0,"symbol":"__vfprintf.xdigs_lower"},{"value":6096237056},{"value":48},{"value":0},{"value":13413092683016760632},{"value":13413092687235033272},{"value":2},{"value":3},{"value":6870437119,"symbolLocation":0,"symbol":"zeroes"},{"value":1},{"value":16},{"value":2},{"value":328},{"value":8389424432},{"value":5477316928},{"value":6},{"value":4371662208,"symbolLocation":0,"symbol":"_main_thread"},{"value":259},{"value":1},{"value":2037082},{"value":12977254848},{"value":6096244664},{"value":6096244672},{"value":1054042},{"value":0}],"flavor":"ARM_THREAD_STATE64","lr":{"value":6871223984},"cpsr":{"value":1073745920},"fp":{"value":6096240480},"sp":{"value":6096240448},"esr":{"value":1442840704,"description":" Address size fault"},"pc":{"value":6871013816,"matchesCrashFrame":1},"far":{"value":4371726336}},"queue":"com.apple.main-thread","frames":[{"imageOffset":39352,"symbol":"__pthread_kill","symbolLocation":8,"imageIndex":0},{"imageOffset":28336,"symbol":"pthread_kill","symbolLocation":288,"imageIndex":1},{"imageOffset":496404,"symbol":"abort","symbolLocation":164,"imageIndex":2},{"imageOffset":258816,"symbol":"(anonymous namespace)::signalHandlerFunction(int, __siginfo*, void*) (.cold.1)","symbolLocation":32,"imageIndex":3},{"imageOffset":208512,"symbol":"(anonymous namespace)::signalHandlerFunction(int, __siginfo*, void*)","symbolLocation":1060,"imageIndex":3},{"imageOffset":17636,"symbol":"_sigtramp","symbolLocation":56,"imageIndex":4},{"imageOffset":28336,"symbol":"pthread_kill","symbolLocation":288,"imageIndex":1},{"imageOffset":496404,"symbol":"abort","symbolLocation":164,"imageIndex":2},{"imageOffset":80720,"symbol":"abort_message","symbolLocation":132,"imageIndex":5},{"imageOffset":20324,"symbol":"demangling_terminate_handler()","symbolLocation":332,"imageIndex":5},{"imageOffset":131408,"symbol":"_objc_terminate()","symbolLocation":160,"imageIndex":6},{"imageOffset":77540,"symbol":"std::__terminate(void (*)())","symbolLocation":20,"imageIndex":5},{"imageOffset":77440,"symbol":"std::terminate()","symbolLocation":64,"imageIndex":5},{"imageOffset":1833240,"symbol":"oox::ppt::PPTShapeContext::onCreateContext(int, oox::AttributeList const&)","symbolLocation":248,"imageIndex":7},{"imageOffset":7524,"symbol":"oox::core::ContextHandler2Helper::implCreateChildContext(int, com::sun::star::uno::Reference<com::sun::star::xml::sax::XFastAttributeList> const&)","symbolLocation":96,"imageIndex":7},{"imageOffset":104316,"symbol":"(anonymous namespace)::Entity::startElement((anonymous namespace)::Event const*)","symbolLocation":624,"imageIndex":8},{"imageOffset":99592,"symbol":"sax_fastparser::FastSaxParserImpl::callbackStartElement(unsigned char const*, unsigned char const*, unsigned char const*, int, unsigned char const**, int, unsigned char const**)","symbolLocation":2776,"imageIndex":8},{"imageOffset":46120,"symbol":"xmlParseStartTag2","symbolLocation":4108,"imageIndex":9},{"imageOffset":28836,"symbol":"xmlParseTryOrFinish","symbolLocation":3100,"imageIndex":9},{"imageOffset":23544,"symbol":"xmlParseChunk","symbolLocation":676,"imageIndex":9},{"imageOffset":92512,"symbol":"sax_fastparser::FastSaxParserImpl::parse()","symbolLocation":412,"imageIndex":8},{"imageOffset":86860,"symbol":"sax_fastparser::FastSaxParserImpl::parseStream(com::sun::star::xml::sax::InputSource const&)","symbolLocation":4328,"imageIndex":8},{"imageOffset":18792,"symbol":"oox::core::FastParser::parseStream(com::sun::star::xml::sax::InputSource const&, bool)","symbolLocation":92,"imageIndex":7},{"imageOffset":19344,"symbol":"oox::core::FastParser::parseStream(com::sun::star::uno::Reference<com::sun::star::io::XInputStream> const&, rtl::OUString const&)","symbolLocation":168,"imageIndex":7},{"imageOffset":99936,"symbol":"oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&, oox::core::FastParser&)","symbolLocation":592,"imageIndex":7},{"imageOffset":99264,"symbol":"oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&)","symbolLocation":72,"imageIndex":7},{"imageOffset":1858468,"symbol":"oox::ppt::PPTShapeGroupContext::importExtDrawings()","symbolLocation":220,"imageIndex":7},{"imageOffset":11776,"symbol":"non-virtual thunk to oox::core::ContextHandler2::endFastElement(int)","symbolLocation":60,"imageIndex":7},{"imageOffset":105340,"symbol":"(anonymous namespace)::Entity::endElement()","symbolLocation":80,"imageIndex":8},{"imageOffset":86324,"symbol":"sax_fastparser::FastSaxParserImpl::parseStream(com::sun::star::xml::sax::InputSource const&)","symbolLocation":3792,"imageIndex":8},{"imageOffset":18792,"symbol":"oox::core::FastParser::parseStream(com::sun::star::xml::sax::InputSource const&, bool)","symbolLocation":92,"imageIndex":7},{"imageOffset":19344,"symbol":"oox::core::FastParser::parseStream(com::sun::star::uno::Reference<com::sun::star::io::XInputStream> const&, rtl::OUString const&)","symbolLocation":168,"imageIndex":7},{"imageOffset":99936,"symbol":"oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&, oox::core::FastParser&)","symbolLocation":592,"imageIndex":7},{"imageOffset":99264,"symbol":"oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&)","symbolLocation":72,"imageIndex":7},{"imageOffset":1880300,"symbol":"oox::ppt::PresentationFragmentHandler::importSlide(rtl::Reference<oox::core::FragmentHandler> const&, std::__1::shared_ptr<oox::ppt::SlidePersist> const&)","symbolLocation":1692,"imageIndex":7},{"imageOffset":1872792,"symbol":"oox::ppt::PresentationFragmentHandler::importSlide(unsigned int, bool, bool)","symbolLocation":3432,"imageIndex":7},{"imageOffset":1881620,"symbol":"oox::ppt::PresentationFragmentHandler::finalizeImport()","symbolLocation":732,"imageIndex":7},{"imageOffset":86880,"symbol":"sax_fastparser::FastSaxParserImpl::parseStream(com::sun::star::xml::sax::InputSource const&)","symbolLocation":4348,"imageIndex":8},{"imageOffset":18792,"symbol":"oox::core::FastParser::parseStream(com::sun::star::xml::sax::InputSource const&, bool)","symbolLocation":92,"imageIndex":7},{"imageOffset":19344,"symbol":"oox::core::FastParser::parseStream(com::sun::star::uno::Reference<com::sun::star::io::XInputStream> const&, rtl::OUString const&)","symbolLocation":168,"imageIndex":7},{"imageOffset":99936,"symbol":"oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&, oox::core::FastParser&)","symbolLocation":592,"imageIndex":7},{"imageOffset":99264,"symbol":"oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&)","symbolLocation":72,"imageIndex":7},{"imageOffset":1825292,"symbol":"oox::ppt::PowerPointImport::importDocument()","symbolLocation":440,"imageIndex":7},{"imageOffset":29004,"symbol":"oox::core::FilterBase::filter(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&)","symbolLocation":792,"imageIndex":7},{"imageOffset":1827248,"symbol":"oox::ppt::PowerPointImport::filter(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&)","symbolLocation":56,"imageIndex":7},{"imageOffset":2199996,"symbol":"SfxObjectShell::ImportFrom(SfxMedium&, com::sun::star::uno::Reference<com::sun::star::text::XTextRange> const&)","symbolLocation":2676,"imageIndex":10},{"imageOffset":1265680,"symbol":"sd::DrawDocShell::ImportFrom(SfxMedium&, com::sun::star::uno::Reference<com::sun::star::text::XTextRange> const&)","symbolLocation":412,"imageIndex":11},{"imageOffset":2162928,"symbol":"SfxObjectShell::DoLoad(SfxMedium*)","symbolLocation":4308,"imageIndex":10},{"imageOffset":2344944,"symbol":"SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&)","symbolLocation":708,"imageIndex":10},{"imageOffset":2875500,"symbol":"(anonymous namespace)::SfxFrameLoader_Impl::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XFrame> const&)","symbolLocation":7200,"imageIndex":10},{"imageOffset":943616,"symbol":"framework::LoadEnv::impl_loadContent()","symbolLocation":3056,"imageIndex":12},{"imageOffset":930348,"symbol":"framework::LoadEnv::start()","symbolLocation":132,"imageIndex":12},{"imageOffset":923764,"symbol":"framework::LoadEnv::startLoading(rtl::OUString const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XFrame> const&, rtl::OUString const&, int, LoadEnvFeatures)","symbolLocation":1328,"imageIndex":12},{"imageOffset":200476,"symbol":"framework::LoadDispatcher::impl_dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener> const&)","symbolLocation":736,"imageIndex":12},{"imageOffset":202020,"symbol":"non-virtual thunk to framework::LoadDispatcher::dispatchWithReturnValue(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&)","symbolLocation":44,"imageIndex":12},{"imageOffset":579492,"symbol":"comphelper::SynchronousDispatch::dispatch(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> const&, rtl::OUString const&, rtl::OUString const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&)","symbolLocation":536,"imageIndex":13},{"imageOffset":98036,"symbol":"SfxApplication::OpenDocExec_Impl(SfxRequest&)","symbolLocation":7268,"imageIndex":10},{"imageOffset":603336,"symbol":"SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, bool)","symbolLocation":572,"imageIndex":10},{"imageOffset":611656,"symbol":"SfxDispatcher::Execute(unsigned short, SfxCallMode, SfxItemSet const&)","symbolLocation":372,"imageIndex":10},{"imageOffset":93052,"symbol":"SfxApplication::OpenDocExec_Impl(SfxRequest&)","symbolLocation":2284,"imageIndex":10},{"imageOffset":603336,"symbol":"SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, bool)","symbolLocation":572,"imageIndex":10},{"imageOffset":604724,"symbol":"SfxDispatcher::PostMsgHandler(std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >)","symbolLocation":492,"imageIndex":10},{"imageOffset":637368,"symbol":"void std::__1::__invoke_void_return_wrapper<void, true>::__call<std::__1::__bind<void (SfxDispatcher::*)(std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >), SfxDispatcher*, std::__1::placeholders::__ph<1> const&>&, std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> > >(std::__1::__bind<void (SfxDispatcher::*)(std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >), SfxDispatcher*, std::__1::placeholders::__ph<1> const&>&, std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >&&)","symbolLocation":76,"imageIndex":10},{"imageOffset":2577580,"symbol":"SfxHintPoster::DoEvent_Impl(void*)","symbolLocation":68,"imageIndex":10},{"imageOffset":982680,"symbol":"ImplWindowFrameProc(vcl::Window*, SalEvent, void const*)","symbolLocation":952,"imageIndex":14},{"imageOffset":128796,"symbol":"non-virtual thunk to AquaSalInstance::ProcessEvent(SalUserEventList::SalUserEvent)","symbolLocation":44,"imageIndex":15},{"imageOffset":3619992,"symbol":"SalUserEventList::DispatchUserEvents(bool)","symbolLocation":584,"imageIndex":14},{"imageOffset":130044,"symbol":"AquaSalInstance::DoYield(bool, bool)","symbolLocation":80,"imageIndex":15},{"imageOffset":3902400,"symbol":"Application::Execute()","symbolLocation":320,"imageIndex":14},{"imageOffset":35836,"symbol":"desktop::Desktop::Main()","symbolLocation":3864,"imageIndex":16},{"imageOffset":3930056,"symbol":"ImplSVMain()","symbolLocation":152,"imageIndex":14},{"imageOffset":128956,"symbol":"AquaSalInstance::handleAppDefinedEvent(NSEvent*)","symbolLocation":96,"imageIndex":15},{"imageOffset":323656,"symbol":"-[VCL_NSApplication sendEvent:]","symbolLocation":88,"imageIndex":15},{"imageOffset":4625820,"symbol":"-[NSApplication _handleEvent:]","symbolLocation":76,"imageIndex":17},{"imageOffset":206284,"symbol":"-[NSApplication run]","symbolLocation":636,"imageIndex":17},{"imageOffset":15480,"symbol":"NSApplicationMain","symbolLocation":1064,"imageIndex":17},{"imageOffset":136340,"symbol":"AquaSalInstance::SVMainHook(int*)","symbolLocation":152,"imageIndex":15},{"imageOffset":3930020,"symbol":"ImplSVMain()","symbolLocation":116,"imageIndex":14},{"imageOffset":204672,"symbol":"soffice_main","symbolLocation":216,"imageIndex":16},{"imageOffset":16192,"symbol":"main","symbolLocation":20,"imageIndex":18},{"imageOffset":20724,"symbol":"start","symbolLocation":520,"imageIndex":19}]},{"id":57465,"name":"PipeIPC","frames":[{"imageOffset":39588,"symbol":"__accept","symbolLocation":8,"imageIndex":0},{"imageOffset":192316,"symbol":"osl_acceptPipe","symbolLocation":40,"imageIndex":3},{"imageOffset":192112,"symbol":"desktop::PipeIpcThread::execute()","symbolLocation":128,"imageIndex":16},{"imageOffset":10572,"symbol":"salhelper::Thread::run()","symbolLocation":40,"imageIndex":20},{"imageOffset":10844,"symbol":"threadFunc","symbolLocation":28,"imageIndex":20},{"imageOffset":221064,"symbol":"osl_thread_start_Impl(void*)","symbolLocation":128,"imageIndex":3},{"imageOffset":29248,"symbol":"_pthread_start","symbolLocation":148,"imageIndex":1},{"imageOffset":8228,"symbol":"thread_start","symbolLocation":8,"imageIndex":1}]},{"id":57467,"name":"com.apple.NSEventThread","frames":[{"imageOffset":6484,"symbol":"mach_msg_trap","symbolLocation":8,"imageIndex":0},{"imageOffset":7424,"symbol":"mach_msg","symbolLocation":76,"imageIndex":0},{"imageOffset":544472,"symbol":"__CFRunLoopServiceMachPort","symbolLocation":372,"imageIndex":21},{"imageOffset":537488,"symbol":"__CFRunLoopRun","symbolLocation":1212,"imageIndex":21},{"imageOffset":534324,"symbol":"CFRunLoopRunSpecific","symbolLocation":600,"imageIndex":21},{"imageOffset":1764496,"symbol":"_NSEventThread","symbolLocation":196,"imageIndex":17},{"imageOffset":29248,"symbol":"_pthread_start","symbolLocation":148,"imageIndex":1},{"imageOffset":8228,"symbol":"thread_start","symbolLocation":8,"imageIndex":1}]},{"id":57850,"name":"UpdateCheckThread","frames":[{"imageOffset":20672,"symbol":"__psynch_cvwait","symbolLocation":8,"imageIndex":0},{"imageOffset":30728,"symbol":"_pthread_cond_wait","symbolLocation":1228,"imageIndex":1},{"imageOffset":161108,"symbol":"osl_waitCondition","symbolLocation":228,"imageIndex":3},{"imageOffset":56552,"symbol":"(anonymous namespace)::UpdateCheckThread::run()","symbolLocation":588,"imageIndex":22},{"imageOffset":49300,"symbol":"threadFunc","symbolLocation":28,"imageIndex":22},{"imageOffset":221064,"symbol":"osl_thread_start_Impl(void*)","symbolLocation":128,"imageIndex":3},{"imageOffset":29248,"symbol":"_pthread_start","symbolLocation":148,"imageIndex":1},{"imageOffset":8228,"symbol":"thread_start","symbolLocation":8,"imageIndex":1}]},{"id":58474,"frames":[{"imageOffset":8208,"symbol":"start_wqthread","symbolLocation":0,"imageIndex":1}]},{"id":58773,"frames":[{"imageOffset":8208,"symbol":"start_wqthread","symbolLocation":0,"imageIndex":1}]},{"id":58806,"frames":[{"imageOffset":8208,"symbol":"start_wqthread","symbolLocation":0,"imageIndex":1}]},{"id":59112,"name":"GrammarCheckingIterator","frames":[{"imageOffset":20672,"symbol":"__psynch_cvwait","symbolLocation":8,"imageIndex":0},{"imageOffset":30728,"symbol":"_pthread_cond_wait","symbolLocation":1228,"imageIndex":1},{"imageOffset":161052,"symbol":"osl_waitCondition","symbolLocation":172,"imageIndex":3},{"imageOffset":118548,"symbol":"GrammarCheckingIterator::DequeueAndCheck()","symbolLocation":788,"imageIndex":23},{"imageOffset":221064,"symbol":"osl_thread_start_Impl(void*)","symbolLocation":128,"imageIndex":3},{"imageOffset":29248,"symbol":"_pthread_start","symbolLocation":148,"imageIndex":1},{"imageOffset":8228,"symbol":"thread_start","symbolLocation":8,"imageIndex":1}]},{"id":59286,"frames":[{"imageOffset":8208,"symbol":"start_wqthread","symbolLocation":0,"imageIndex":1}]},{"id":59287,"frames":[{"imageOffset":8208,"symbol":"start_wqthread","symbolLocation":0,"imageIndex":1}]},{"id":59288,"frames":[{"imageOffset":8208,"symbol":"start_wqthread","symbolLocation":0,"imageIndex":1}]},{"id":59478,"name":"configmgrWriter","frames":[{"imageOffset":20672,"symbol":"__psynch_cvwait","symbolLocation":8,"imageIndex":0},{"imageOffset":30728,"symbol":"_pthread_cond_wait","symbolLocation":1228,"imageIndex":1},{"imageOffset":161108,"symbol":"osl_waitCondition","symbolLocation":228,"imageIndex":3},{"imageOffset":131576,"symbol":"configmgr::Components::WriteThread::execute()","symbolLocation":60,"imageIndex":24},{"imageOffset":10572,"symbol":"salhelper::Thread::run()","symbolLocation":40,"imageIndex":20},{"imageOffset":10844,"symbol":"threadFunc","symbolLocation":28,"imageIndex":20},{"imageOffset":221064,"symbol":"osl_thread_start_Impl(void*)","symbolLocation":128,"imageIndex":3},{"imageOffset":29248,"symbol":"_pthread_start","symbolLocation":148,"imageIndex":1},{"imageOffset":8228,"symbol":"thread_start","symbolLocation":8,"imageIndex":1}]},{"id":59485,"name":"WakeUpThread","frames":[{"imageOffset":20672,"symbol":"__psynch_cvwait","symbolLocation":8,"imageIndex":0},{"imageOffset":30728,"symbol":"_pthread_cond_wait","symbolLocation":1228,"imageIndex":1},{"imageOffset":161108,"symbol":"osl_waitCondition","symbolLocation":228,"imageIndex":3},{"imageOffset":331748,"symbol":"framework::WakeUpThread::execute()","symbolLocation":68,"imageIndex":12},{"imageOffset":10572,"symbol":"salhelper::Thread::run()","symbolLocation":40,"imageIndex":20},{"imageOffset":10844,"symbol":"threadFunc","symbolLocation":28,"imageIndex":20},{"imageOffset":221064,"symbol":"osl_thread_start_Impl(void*)","symbolLocation":128,"imageIndex":3},{"imageOffset":29248,"symbol":"_pthread_start","symbolLocation":148,"imageIndex":1},{"imageOffset":8228,"symbol":"thread_start","symbolLocation":8,"imageIndex":1}]}],
  "usedImages" : [
  {
    "source" : "P",
    "arch" : "arm64e",
    "base" : 6870974464,
    "size" : 221184,
    "uuid" : "c8b3081a-5081-3a99-bbe3-01413de444c6",
    "path" : "\/usr\/lib\/system\/libsystem_kernel.dylib",
    "name" : "libsystem_kernel.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64e",
    "base" : 6871195648,
    "size" : 53248,
    "uuid" : "ed328b18-eeef-3b15-8858-798b19b0c2cd",
    "path" : "\/usr\/lib\/system\/libsystem_pthread.dylib",
    "name" : "libsystem_pthread.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64e",
    "base" : 6869929984,
    "size" : 528384,
    "uuid" : "00fc01c7-36bc-3193-86a3-5c03046b45fb",
    "path" : "\/usr\/lib\/system\/libsystem_c.dylib",
    "name" : "libsystem_c.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4373430272,
    "size" : 311296,
    "uuid" : "2dffec82-0757-3e68-a718-4a6b3b7ca69d",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libuno_sal.dylib.3",
    "name" : "libuno_sal.dylib.3"
  },
  {
    "source" : "P",
    "arch" : "arm64e",
    "base" : 6871302144,
    "size" : 32768,
    "uuid" : "ef6555f4-7a8e-3e51-9b40-5381482dee4d",
    "path" : "\/usr\/lib\/system\/libsystem_platform.dylib",
    "name" : "libsystem_platform.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64e",
    "base" : 6870867968,
    "size" : 106496,
    "uuid" : "540088b6-cc81-381f-901c-5632f4a73c45",
    "path" : "\/usr\/lib\/libc++abi.dylib",
    "name" : "libc++abi.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64e",
    "base" : 6869671936,
    "size" : 245760,
    "uuid" : "8a930227-747e-381f-bb29-2dfe267a84f7",
    "path" : "\/usr\/lib\/libobjc.A.dylib",
    "name" : "libobjc.A.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 12379160576,
    "size" : 2768896,
    "uuid" : "72a95fc8-aea1-3b8a-a33f-c90f1050c413",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libooxlo.dylib",
    "name" : "libooxlo.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 12256886784,
    "size" : 278528,
    "uuid" : "e426584f-d221-3fd6-91ec-4f849c1f03c5",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libexpwraplo.dylib",
    "name" : "libexpwraplo.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64e",
    "base" : 6994214912,
    "size" : 970752,
    "uuid" : "070ca6d8-7423-3d4b-ba5c-636eb569940d",
    "path" : "\/usr\/lib\/libxml2.2.dylib",
    "name" : "libxml2.2.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4398628864,
    "size" : 3702784,
    "uuid" : "a090aa86-57d6-364a-b782-cebf85860e99",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libsfxlo.dylib",
    "name" : "libsfxlo.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 13009125376,
    "size" : 4063232,
    "uuid" : "921020a5-818c-3b2e-9ea4-c2da4d44bf2b",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libsdlo.dylib",
    "name" : "libsdlo.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4388683776,
    "size" : 2375680,
    "uuid" : "a68fd5f3-250d-31f8-9deb-cb6dfd37a89c",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libfwklo.dylib",
    "name" : "libfwklo.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4377804800,
    "size" : 933888,
    "uuid" : "01458a1e-6452-3e1a-a585-6db64e173396",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libcomphelper.dylib",
    "name" : "libcomphelper.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4438163456,
    "size" : 7421952,
    "uuid" : "1c432037-de9d-3a68-855f-5ec99bec21bf",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libvcllo.dylib",
    "name" : "libvcllo.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4457349120,
    "size" : 442368,
    "uuid" : "817603d2-9146-37e1-8dba-634962cfa748",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libvclplug_osxlo.dylib",
    "name" : "libvclplug_osxlo.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4375003136,
    "size" : 688128,
    "uuid" : "0bc53ba9-84a7-3692-954c-1a738c96b969",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libsofficeapp.dylib",
    "name" : "libsofficeapp.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64e",
    "base" : 6917222400,
    "CFBundleShortVersionString" : "6.9",
    "CFBundleIdentifier" : "com.apple.AppKit",
    "size" : 15417344,
    "uuid" : "a8bbc643-113d-310f-96b6-77a973bf2dba",
    "path" : "\/System\/Library\/Frameworks\/AppKit.framework\/Versions\/C\/AppKit",
    "name" : "AppKit",
    "CFBundleVersion" : "2113.20.111"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4370628608,
    "CFBundleShortVersionString" : "7.3.7.2",
    "CFBundleIdentifier" : "org.libreoffice.script",
    "size" : 16384,
    "uuid" : "8f3c6d77-95bd-3339-976a-88eb740db0b6",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/MacOS\/soffice",
    "name" : "soffice",
    "CFBundleVersion" : "7.3.7.2"
  },
  {
    "source" : "P",
    "arch" : "arm64e",
    "base" : 4371169280,
    "size" : 393216,
    "uuid" : "7e92b284-4b90-3b68-b31a-3ddc4c0e8d40",
    "path" : "\/usr\/lib\/dyld",
    "name" : "dyld"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4370874368,
    "size" : 16384,
    "uuid" : "7d483ab7-aeb8-3234-8d4e-c4ea14083b3d",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libuno_salhelpergcc3.dylib.3",
    "name" : "libuno_salhelpergcc3.dylib.3"
  },
  {
    "source" : "P",
    "arch" : "arm64e",
    "base" : 6871515136,
    "CFBundleShortVersionString" : "6.9",
    "CFBundleIdentifier" : "com.apple.CoreFoundation",
    "size" : 5521408,
    "uuid" : "f5ea9592-4ef9-3d35-b23d-5c21283acc52",
    "path" : "\/System\/Library\/Frameworks\/CoreFoundation.framework\/Versions\/A\/CoreFoundation",
    "name" : "CoreFoundation",
    "CFBundleVersion" : "1856.105"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4664016896,
    "size" : 212992,
    "uuid" : "6a27f771-154f-3bad-a6bd-35c8222de227",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libupdchklo.dylib",
    "name" : "libupdchklo.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4434132992,
    "size" : 409600,
    "uuid" : "e48850e1-becd-325c-bb7d-b040276281d0",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/liblnglo.dylib",
    "name" : "liblnglo.dylib"
  },
  {
    "source" : "P",
    "arch" : "arm64",
    "base" : 4461445120,
    "size" : 409600,
    "uuid" : "57abd4c1-4c89-3ee3-8899-1e21cfc1f2a9",
    "path" : "\/Applications\/LibreOffice.app\/Contents\/Frameworks\/libconfigmgrlo.dylib",
    "name" : "libconfigmgrlo.dylib"
  },
  {
    "size" : 0,
    "source" : "A",
    "base" : 0,
    "uuid" : "00000000-0000-0000-0000-000000000000"
  }
],
  "sharedCache" : {
  "base" : 6868025344,
  "size" : 3089596416,
  "uuid" : "66c33c62-48a9-31e5-b8b5-7a71c9760d07"
},
  "vmSummary" : "ReadOnly portion of Libraries: Total=1.0G resident=0K(0%) swapped_out_or_unallocated=1.0G(100%)\nWritable regions: Total=2.1G written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=2.1G(100%)\n\n                                VIRTUAL   REGION \nREGION TYPE                        SIZE    COUNT (non-coalesced) \n===========                     =======  ======= \nAccelerate framework               768K        6 \nActivity Tracing                   256K        1 \nCG backing stores                 2176K        4 \nCG image                          75.1M       30 \nCG raster data                     544K        6 \nColorSync                          544K       26 \nCoreAnimation                     70.4M       33 \nCoreGraphics                        32K        2 \nCoreImage                           16K        1 \nCoreUI image data                 3776K       25 \nFoundation                          48K        2 \nImage IO                           784K        7 \nKernel Alloc Once                   32K        1 \nMALLOC                             1.1G      198 \nMALLOC guard page                  192K       12 \nMALLOC_MEDIUM (reserved)         704.0M        7         reserved VM address space (unallocated)\nMALLOC_NANO (reserved)           128.0M        1         reserved VM address space (unallocated)\nSQLite page cache                  128K        2 \nSTACK GUARD                       56.2M       13 \nStack                             16.9M       13 \nVM_ALLOCATE                       4976K       44 \n__AUTH                            1907K      184 \n__AUTH_CONST                      11.2M      341 \n__DATA                            12.9M      477 \n__DATA_CONST                      19.0M      478 \n__DATA_DIRTY                       882K      121 \n__FONT_DATA                          4K        1 \n__GLSLBUILTINS                    5176K        1 \n__LINKEDIT                       628.2M      141 \n__OBJC_CONST                      1788K      156 \n__OBJC_RO                         82.0M        1 \n__OBJC_RW                         3104K        1 \n__TEXT                           380.7M      496 \n__UNICODE                          588K        1 \ndyld private memory               1024K        1 \nmapped file                        2.5G      628 \nshared memory                      896K       17 \n===========                     =======  ======= \nTOTAL                              5.8G     3479 \nTOTAL, minus reserved VM space     5.0G     3479 \n",
  "legacyInfo" : {
  "threadTriggered" : {
    "queue" : "com.apple.main-thread"
  }
},
  "trialInfo" : {
  "rollouts" : [
    {
      "rolloutId" : "607844aa04477260f58a8077",
      "factorPackIds" : {
        "SIRI_MORPHUN_ASSETS" : "6103050cbfe6dc472e1c982a"
      },
      "deploymentId" : 240000066
    },
    {
      "rolloutId" : "60da5e84ab0ca017dace9abf",
      "factorPackIds" : {

      },
      "deploymentId" : 240000008
    },
    {
      "rolloutId" : "602ad4dac86151000cf27e46",
      "factorPackIds" : {
        "SIRI_DICTATION_ASSETS" : "61fb0e87c773c43cde3bb80e"
      },
      "deploymentId" : 240000305
    },
    {
      "rolloutId" : "601d9415f79519000ccd4b69",
      "factorPackIds" : {
        "SIRI_TEXT_TO_SPEECH" : "621d4d0f680160486b9e1c98"
      },
      "deploymentId" : 240000416
    },
    {
      "rolloutId" : "60186475825c62000ccf5450",
      "factorPackIds" : {

      },
      "deploymentId" : 240000026
    },
    {
      "rolloutId" : "60f8ddccefea4203d95cbeef",
      "factorPackIds" : {

      },
      "deploymentId" : 240000021
    },
    {
      "rolloutId" : "5ffde50ce2aacd000d47a95f",
      "factorPackIds" : {

      },
      "deploymentId" : 240000228
    },
    {
      "rolloutId" : "5fc94383418129005b4e9ae0",
      "factorPackIds" : {

      },
      "deploymentId" : 240000551
    },
    {
      "rolloutId" : "5fb4245a1bbfe8005e33a1e1",
      "factorPackIds" : {

      },
      "deploymentId" : 240000021
    },
    {
      "rolloutId" : "63582c5f8a53461413999550",
      "factorPackIds" : {

      },
      "deploymentId" : 240000002
    }
  ],
  "experiments" : [

  ]
}
}

Model: MacBookPro17,1, BootROM 7429.61.2, proc 8:4:4 processors, 16 GB, SMC 
Graphics: Apple M1, Apple M1, Built-In
Display: Color LCD, 2560 x 1600 Retina, Main, MirrorOff, Online
Memory Module: LPDDR4
AirPort: Wi-Fi, wl0: Oct 26 2021 16:10:41 version 18.20.310.15.7.8.120 FWID 01-5d6c3867
Bluetooth: Version (null), 0 services, 0 devices, 0 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
USB Device: USB31Bus
USB Device: USB31Bus
Thunderbolt Bus: MacBook Pro, Apple Inc.
Thunderbolt Bus: MacBook Pro, Apple Inc.


Expected Results:
Open or convert the pptx file successfully


Reproducible: Always


User Profile Reset: No

Additional Info:
Version: 7.3.7.2 / LibreOffice Community
Build ID: e114eadc50a9ff8d8c8a0567d6da8f454beeb84f
CPU threads: 8; OS: Mac OS X 12.1; UI render: default; VCL: osx
Locale: zh-CN (zh_Hans.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-12-20 08:46:32 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 pet-pet 2022-12-20 09:26:57 UTC
Created attachment 184260 [details]
sample file related to bugid=152606
Comment 3 pet-pet 2022-12-20 09:28:12 UTC
sample file provided
Comment 4 Julien Nabet 2022-12-20 11:05:27 UTC
Created attachment 184264 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I got a crash when trying to open the file.
Comment 5 Xisco Faulí 2022-12-20 11:29:16 UTC
Also reproduced in

Version: 6.0.0.0.alpha1+
Build ID: 6eeac3539ea4cac32d126c5e24141f262eb5a4d9
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3; 
Locale: es-ES (es_ES.UTF-8); Calc: group threaded
Comment 6 Julien Nabet 2022-12-20 11:29:37 UTC
I gave a try with https://gerrit.libreoffice.org/c/core/+/144588

As often in such cases, the patch is perhaps only a band aid rather than a real fix.
Comment 7 Commit Notification 2022-12-21 07:58:52 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/68a259f5af8757923be8a226631f38366fe8e37b

tdf#152606: fix crash when opening specific pptx

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2022-12-21 08:42:38 UTC
Xisco cherry-picked the patch for 7.5 branch here:
https://gerrit.libreoffice.org/c/core/+/144613 (waiting for review).
Comment 9 Commit Notification 2022-12-21 09:04:05 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-5":

https://git.libreoffice.org/core/commit/4eba7f7c838f9b1e7df9e0e3f616f4d07dce3850

tdf#152606: fix crash when opening specific pptx

It will be available in 7.5.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-12-21 10:29:22 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/b45d1f98f936c10c14bc537fd5eb811e350d7c3e

tdf#152606: fix crash when opening specific pptx

It will be available in 7.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2022-12-21 17:35:34 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/47f66915f8d8f2418811417ad4b1109f31dee492

tdf#152606: sd_export_tests: Add unittest

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-12-26 10:44:39 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-4-4":

https://git.libreoffice.org/core/commit/ebb7d089e9ffc81c5cbd3b86ea573216952aaa43

tdf#152606: fix crash when opening specific pptx

It will be available in 7.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Xisco Faulí 2023-01-24 10:36:24 UTC
7.4.5 was a hotfix release, updating target in status-whiteboard